﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LargeNumbetOfFCExceptionsADO.Net
{

    public class MainViewModel : INotifyPropertyChanged
    {
        public MainViewModel()
        {
            MyData = GenerateData();
        }
        private DataSet _myData;
        public DataSet MyData
        {
            get { return _myData; }
            set
            {
                this._myData = value;
                PropChanged("MyData");
            }
        }
        private DataSet GenerateData()
        {
            var data = new DataSet("SimpleData");
            data.EnforceConstraints = false;

            DataTable parent = new DataTable("Customers");

            parent.Columns.Add("ID", typeof(int));
            parent.Columns.Add("Name", typeof(string));

            data.Tables.Add(parent);

            for (int i = 1; i < 150; i++)
            {
                data.Tables["Customers"].Rows.Add(new object[] { i, "Customer" + i });
            }

            data.AcceptChanges();

            return data;
        }

        public event PropertyChangedEventHandler PropertyChanged;

        public void PropChanged(string name)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(name));
        }
    }
}
